{
  "name": "@partisiablockchain/blockchain-api-transaction-client",
  "version": "5.102.0",
  "description": "",
  "author": "",
  "license": "AGPL-3.0",
  "dependencies": {
    "@secata-public/bitmanipulation-ts": "^3.1.0",
    "@types/elliptic": "^6.4.15",
    "elliptic": "^6.5.5",
    "hash.js": "^1.1.7",
    "bn.js": "^5.2.1"
  },
  "devDependencies": {
    "@stryker-mutator/core": "^8.2.6",
    "@stryker-mutator/jest-runner": "^8.2.6",
    "@stryker-mutator/typescript-checker": "^8.2.6",
    "@eslint/eslintrc": "^3.0.2",
    "@types/jest": "^29.5.5",
    "@typescript-eslint/eslint-plugin": "^7.6.0",
    "eslint": "^8.57.0",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-jsdoc": "^50.0.0",
    "globals": "^16.0.0",
    "jest": "^29.7.0",
    "prettier": "3.5.3",
    "ts-jest": "^29.1.1",
    "typescript": "^5.4.5"
  },
  "scripts": {
    "build": "npx tsc",
    "lint": "npx eslint src --max-warnings 0",
    "prettier": "npx prettier --config package.json src --write",
    "test": "npx jest",
    "stryker": "stryker run"
  },
  "publishConfig": {
    "access": "public",
    "registry": "https://registry.npmjs.org/"
  },
  "prettier": {
    "printWidth": 100,
    "tabWidth": 2,
    "quoteProps": "as-needed",
    "endOfLine": "lf",
    "trailingComma": "es5",
    "bracketSameLine": true,
    "proseWrap": "preserve"
  },
  "files": [
    "target/main"
  ],
  "main": "target/main/index.js",
  "types": "target/main/index.d.ts",
  "eslintConfig": {
    "extends": "./eslint-jsdoc.json"
  }
}
